Download it now!
Bug 128974 - Thunderbird Addressbook not available directly as existing database
Summary: Thunderbird Addressbook not available directly as existing database
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.3.3.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.5
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-23 08:21 UTC by Robert Großkopf
Modified: 2020-01-06 09:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot which shows that there is no entry to import the Thunderbird address book into Base. (28.05 KB, image/png)
2019-11-23 15:31 UTC, Richard Kraut
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2019-11-23 08:21:09 UTC
This problem occurs for many Windows-users in users@de.libreoffice.org:
Open File > New > Database
Choose "Connect to existing Database"
There is no "Thunderbird Address Book" available in the listfield.

Open File > Wizards > Address Data Source...
Here you could choose a connection to the Thunderbird Address Book.

Tested with different versions of LO, also LO 6.3.3.2 on different WIN10-versions.
Fails with Windows, works well under OpenSUSE 64bit Linux.
Comment 2 Richard Kraut 2019-11-23 15:31:34 UTC
Created attachment 156063 [details]
Screenshot which shows that there is no entry to import the Thunderbird address book into Base.
Comment 3 Robert Großkopf 2019-11-23 15:36:56 UTC
Set this to NEW, see comment2
Comment 4 Richard Kraut 2019-11-23 15:47:20 UTC
So, just after uploading the screenshot which shows the problem (sorry, but this was a german LibreOffice installation), i can confirm this problem.

Another workaround is to export the Thunderbird address book via cvs and import this file into Base. But this is not as comfortable as most users want.
Comment 5 Julien Nabet 2019-11-25 11:19:26 UTC
I'll submit this patch after my daytime job:

diff --git a/postprocess/CustomTarget_registry.mk b/postprocess/CustomTarget_registry.mk
index 579c608cf7fb..c33417c6b2a7 100644
--- a/postprocess/CustomTarget_registry.mk
+++ b/postprocess/CustomTarget_registry.mk
@@ -280,8 +280,7 @@ postprocess_FILES_main += \
        $(call gb_XcuModuleTarget_get_target,connectivity/registry/odbc)/org/openoffice/Office/DataAccess/Drivers-odbc.xcu \
        $(call gb_XcuModuleTarget_get_target,connectivity/registry/mysql_jdbc)/org/openoffice/Office/DataAccess/Drivers-mysql_jdbc.xcu
 postprocess_DRIVERS += dbase flat odbc mysql_jdbc
-ifeq (WNT,$(OS))
-else ifeq (DBCONNECTIVITY,$(filter DBCONNECTIVITY,$(BUILD_TYPE)))
+ifeq (DBCONNECTIVITY,$(filter DBCONNECTIVITY,$(BUILD_TYPE)))
 ifneq (,$(filter DESKTOP,$(BUILD_TYPE)))
 postprocess_FILES_main += $(call gb_XcuModuleTarget_get_target,connectivity/registry/mork)/org/openoffice/Office/DataAccess/Drivers-mork.xcu
 postprocess_DRIVERS += mork

Just for curiosity, have you got 1 or several subdirs in:
C:\Users\<username>\AppData\Roaming\Thunderbird\Profiles ?
Comment 6 Julien Nabet 2019-11-25 13:21:55 UTC
David: noticing 4e3086da3e9873f53b5b9e1d5e511f9f77aaf62f about Seamonkey removing, could the straightforward patch https://bugs.documentfoundation.org/show_bug.cgi?id=128974#c5 make it?

Indeed, except a dir pb, I got:
- C:\Users\<username>\AppData\Roaming\Thunderbird\Profiles\4irzzg9k.default
- C:\Users\<username>\AppData\Roaming\Thunderbird\Profiles\8uzhgf2m.default-release
abook.mab and history.mab are in the second one and LO looks for into the first one. As a workaround, I copied both files into the first subdir and LO could open them.
Comment 7 Julien Nabet 2019-11-25 15:55:18 UTC
Concerning the other pb, here's a naive patch:
diff --git a/connectivity/source/drivers/mozab/bootstrap/MNSProfileDiscover.cxx b/connectivity/source/drivers/mozab/bootstrap/MNSProfileDiscover.cxx
index b34eaafc3e46..3bd673d253ce 100644
--- a/connectivity/source/drivers/mozab/bootstrap/MNSProfileDiscover.cxx
+++ b/connectivity/source/drivers/mozab/bootstrap/MNSProfileDiscover.cxx
@@ -133,6 +133,11 @@ namespace connectivity

                 }

+                if (profileName == "default-release")
+                {
+                    rProduct.mCurrentProfileName = profileName;
+                    break;
+                }
             }
         }

See https://support.mozilla.org/gl/questions/1264072 for some background info.
Comment 8 Xisco Faulí 2019-11-28 12:11:18 UTC
@Julien, I would propose to submit the patch and discuss it in gerrit
Comment 9 Julien Nabet 2019-11-28 13:27:42 UTC
(In reply to Xisco Faulí from comment #8)
> @Julien, I would propose to submit the patch and discuss it in gerrit

I submitted the first patch about it here:
https://gerrit.libreoffice.org/#/c/83710/
Comment 10 Commit Notification 2019-11-29 08:11:25 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/be2a605af8c39dc4e655f7ba5702abebd608bf0d

tdf#128974: TB Addressbook not available directly as existing database (Win)

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Julien Nabet 2019-11-29 09:19:06 UTC
Just for information, the commit message is wrong.
The profile part is lacking here.
I'll submit a patch on gerrit about it when I get back home.

So for the moment, the option will appear in the listbox but when you'll try to list the tables, it'll fail (unless you got a not up-to-date TB version) with an error message.
Comment 12 Julien Nabet 2019-11-29 16:59:31 UTC
(In reply to Julien Nabet from comment #11)
> ...
> I'll submit a patch on gerrit about it when I get back home.
>...
Done here:
https://gerrit.libreoffice.org/#/c/84077/
Comment 13 Commit Notification 2019-11-29 18:26:24 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a3822a44100ddba8b5f1e0cdd469a89244eaf498

Related tdf#128974: Really deal with "default" and "default-release" profiles

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-11-30 18:13:33 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/6f06f02cd89468c5e5bd7042e891ac9c08f46ed9

tdf#128974: TB Addressbook not available directly as existing database (Win)

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2019-12-05 10:09:25 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/b2afcba258d8fc9dc8e0ccafc024d7cce03425bb

tdf#128974: TB Addressbook not available directly as existing database (Win)

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2019-12-18 10:06:02 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/b89ccad446a28cf1a2396836199a6f8a4f77903b

Related tdf#128974: Really deal with "default" and "default-release" profiles

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2020-01-06 09:45:08 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/9a5c0d8783c67faa1a792fb6bc9853d6346fc17b

Related tdf#128974: Really deal with "default" and "default-release" profiles

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.